### Method

# Secret Service prompt_at_dbus_path_finish

#### Declaration [src]

    GVariant*
    secret_service_prompt_at_dbus_path_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to perform prompting for a `SecretPrompt`.

Returns a variant result if the prompt was completed and not dismissed. The type of result depends on the action the prompt is completing, and is defined in the Secret Service DBus API specification.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| `NULL` if the prompt was dismissed or an error occurred, a variant result if the prompt was successful.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.